<?php
class MyDB extends SQLite3
{
    function __construct()
    {
        $this->open('mysqlitedb.db');
 $this->exec('CREATE TABLE partie(Id STRING,un STRING,deux STRING, trois STRING,quatre STRING,cinq STRING,six STRING,sept STRING,huit STRING,neuf STRING)');
    }
}

function genererChaineAleatoire($longueur = 10)
{
    $caracteres = '0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZ';
    $longueurMax = strlen($caracteres);
    $chaineAleatoire = '';
    for ($i = 0; $i < $longueur; $i++)
    {
        $chaineAleatoire .= $caracteres[rand(0, $longueurMax - 1)];
    }
    return $chaineAleatoire;
}

function CreerPatie(string $bd,string $id){
    $id=genererChaineAleatoire();
    $bd->query('INSERT INTO partie(Id) VALUES("'.$id.'")');
}

function SupprimerLigne(string $bd,string $id){
    $suppression = $bd->query('DELETE FROM partie where Id="'.$id.'" ');
}
function Sup1h($datetime)
{
    $dateactuelles = date('h:i');
    $dateactuelle= new DateTime($dateactuelles);
    $interval = $datetime->diff($dateactuelle);
    echo $interval->format('%H');//00 years
    if($interval>1){
        echo "supp";
    }
}
$datetime1 = new DateTime('12:55');
Sup1h($datetime1);